Bug 426827 - Review Request: perl-DateTime-Precise - Perform common time and date operations with additional GPS operations
Review Request: perl-DateTime-Precise - Perform common time and date operatio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 428113
  Show dependency treegraph
 
Reported: 2007-12-26 20:26 EST by Xavier Bachelot
Modified: 2008-01-31 16:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-31 16:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-26 20:26:55 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-DateTime-Precise.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-DateTime-Precise-1.05-2.fc8.src.rpm
Description: The purpose of this library was to replace our dependence on Unix epoch time, which, being limited to a range of about 1970 to 2030, is inadequate for our purposes (we have data as old as 1870). This date library effectively handles dates from A.D. 1000 to infinity, and would probably work all the way back to 0 (ignoring, of course, the switch-over to the Gregorian calendar). The useful features of Unix epoch time (ease of date difference calculation and date
comparison, strict ordering) are preserved, and elements such as human-legibility are added. The library handles fractional seconds and some date/time manipulations used for the Global Positioning Satellite system.
Comment 1 Parag AN(पराग) 2007-12-27 00:39:02 EST
From following text written in Precise.pm
# This code is a heavily modified version of Greg Fast's
# (gdfast@usgs.gov) DateTime.pm package.  This version includes
# subsecond precision on all calculations and a whole bunch of
# additional method calls.

But when I checked
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/DateTime.pm I see that
author is different.

Unable to verify license
Comment 2 Xavier Bachelot 2008-01-09 04:55:18 EST
yup, this is rather confusing. I can't find anything about license for this code
anywhere.
I've submitted a bug upstream :
http://rt.cpan.org/Ticket/Display.html?id=32186
Comment 3 Parag AN(पराग) 2008-01-09 07:11:39 EST
thanks
Comment 4 Xavier Bachelot 2008-01-30 09:42:06 EST
After the contact with current upstream maintainer did not bring much, I've
contacted the original author of the code, Greg Fast.
Here's what he wrote about the license of the code :
_start of quote_
As far as I'm concerned, the code Blair extended into DateTime::Precise
is public domain.

At the time (~10 years ago) I was young and clueless about anything
related to licensing, and as far as I can tell from my own archive there
was never an explicit license or copyright released with the code.
Since it was developed mostly on their time and for their web app,
I'm sure it should properly be considered a work-for-hire for the USGS,
with the copyright (and any legally binding call on a license) ultimately
going to them.  Having said that, I'd be surprised if there'd be anyone
at USGS at all interested in staking any claim over it.  The app which
it was a part of has now been offline for 2-3 years.
_end of quote_

I've asked for further clarification, like contact his former employer, USGS,
but I don't expect much to come out of this.
What would be the next step to move this forward ?
Comment 5 Parag AN(पराग) 2008-01-30 10:58:45 EST
I think good to contact spot(Tom Callaway) or legal mailing list
(fedora-legal-list@redhat.com => only members can post to this list) for this
license issue.
Comment 6 Xavier Bachelot 2008-01-30 11:05:29 EST
Spot, could you please kindly take a look at this legal issue ?
Comment 7 Tom "spot" Callaway 2008-01-30 11:34:13 EST
If the original author releases it into the Public Domain, then it is Public
Domain. Mark it as that in the License: tag.
Comment 8 Xavier Bachelot 2008-01-30 11:39:13 EST
Sure, but the original author only stated that in a private mail and the work
was done when he was hired by USGS. Would asking upstream to state 'Copyright
USGS' and license 'Public Domain' somewhere within the package be enough and
above all, be legal ?
Comment 9 Tom "spot" Callaway 2008-01-30 11:52:05 EST
In the US, you do not need to declare copyright, it is implicit (the Berne
Convention provides it), but this is a little tricker, because the author wrote
this code while working at the USGS.

Since the USGS is a division of the United States Government, this code is
considered "a work of the United States government" which, as defined by United
States copyright law, is "a work prepared by an officer or employee of the U.S.
government as part of that person's official duties."

All such works are not entitled to domestic copyright protection under U.S. law,
sometimes referred to as "noncopyright." They are considered to automatically be
in the Public Domain.

(The only possible exception to this would be if the author was writing this
code as a contractor for the USGS, and part of the contract specified the
copyright and licensing for the code. Since this is obviously not the case, we
can ignore this exception.)

So, we're ok to ship this, marked as Public Domain.
Comment 10 Xavier Bachelot 2008-01-30 13:39:09 EST
Thanks a lot for the explanations Spot.
I'll upload a package with fixed License: field later tonight.
Comment 12 Parag AN(पराग) 2008-01-31 00:25:31 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
05845b6e53a528b406d10a231d0af091  DateTime-Precise-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/01date_time....ok
All tests successful.
Files=1, Tests=204,  0 wallclock secs ( 0.29 cusr +  0.00 csys =  0.29 CPU)
+ Package  perl-DateTime-Precise-1.05-3.fc9 ->
  Provides: perl(DateTime::Precise) = 1.05
  Requires: perl >= 0:5.004_04 perl(:MODULE_COMPAT_5.8.8) perl(Carp)
perl(Exporter) perl(integer) perl(strict) perl(vars)

APPROVED.
Comment 13 Xavier Bachelot 2008-01-31 03:34:53 EST
New Package CVS Request
=======================
Package Name: perl-DateTime-Precise
Short Description: Perform common time and date operations with additional GPS
operations
Owners: xavierb
Branches: F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-31 12:53:46 EST
cvs done.
Comment 15 Xavier Bachelot 2008-01-31 16:25:18 EST
Imported and built for devel, F-8, EL-4 and EL-5.

Note You need to log in before you can comment on or make changes to this bug.